%global momorel 11
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages/lisp
%global confsamp  %{_datadir}/config-sample
%global realname php-mode

Summary: Major mode for editing PHP code.
Name: elisp-%{realname}
Version: 1.1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
URL: http://sourceforge.net/projects/%{realname}/

Source0: %{realname}.el
Source1: php-mode.dot.emacs
Source2: README.eucjp
Source3: php-mode.el.original
BuildArch: noarch
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildPreReq: c-comment-edit-emacs

%description
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n %{realname}-emacs
Summary: Major mode for editing PHP code on emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: c-comment-edit-emacs

%description -n %{realname}-emacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n %{realname}-xemacs
Summary: Major mode for editing PHP code on XEmacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo >= %{xemacssumover}

%description -n %{realname}-xemacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%prep
%setup -qTc
%{__cp} -p  %{S:0} %{S:1} %{S:2} %{S:3} .

%build
emacs -q -batch -f batch-byte-compile %{realname}.el
%{__mv} %{realname}.elc %{realname}.elc.emacs

xemacs -batch -q -no-site-file -f batch-byte-compile %{realname}.el

%install
test -d %{buildroot} && rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.el %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.elc.emacs %{buildroot}%{e_sitedir}/%{realname}/%{realname}.elc

%{__mkdir_p} %{buildroot}%{sitepdir}/%{realname}
%{__install} -m 0644 %{realname}.el %{buildroot}%{sitepdir}/%{realname}
%{__install} -m 0644 %{realname}.elc %{buildroot}%{sitepdir}/%{realname}/%{realname}.elc

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 %{realname}.dot.emacs %{buildroot}%{confsamp}/%{name}/%{realname}.dot.emacs

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.eucjp %{realname}.el.original
%{confsamp}/%{name}/%{realname}.dot.emacs

%files -n %{realname}-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*

%files -n %{realname}-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/%{realname}
%{sitepdir}/%{realname}/%{realname}.el*

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-11m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-10m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-9m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-8m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-7m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-6m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-5m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-4m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-3m)
- rebuild against emacs-22.0.90

* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-2m)
- remove c-comment-edit.el
- add 'Requires: c-comment-edit-emacs'

* Tue May 17 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-1m)
- ver. up

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.5-6m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-5m)
- rebuild against emacs 22.0.50

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.5-4m)
- revised spec for enabling rpm 4.2.

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-3m)
- modify patch.

* Tue Nov 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-2m)
- modify patch.

* Wed Nov 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-1m)
- update to upstream version.
- remake patch.

* Mon Mar 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-3m)
- fix patch (key bind)

* Fri Mar 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- rebuild against emacs-21.3
- define emacsver, xemacsver

* Wed Mar 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-1m)
- first import to Momonga.
- cleate patch.
  php-complete-function implemented. (from css-mode.el)
  modify variable definition for font-lock
    and  php-complete-function.
